
/*  Old:
#define NOP      0
#define POPUP    1
#define EXEC     2
#define RESTART  3
#define MODULE   4
#define FUNCTION 5*/

// Window manager functions
#define MOVE            6
#define RESIZE          7
#define ICONIFY         8
#define MAXIMIZE        9
#define STICK          10
#define REFRESH        11
#define RAISE          12
#define LOWER          13
#define CLOSE          14
#define NEXT           15
#define PREV           16
#define WINDOWLIST     17
#define DELETE         18
#define DESTROY        19
#define MAILFUNCTION   20
#define MOVEORRAISE    21
#define RESIZEORRAISE  22
#define PRINTFUNCION   23*/


#define TITLE_GAP 9

#include "icons.h"

class menubutton
{
  public:
    menubutton();
    void setlabel(char *string);
    void setproc(char *string);
    void settype(int _type);
      
    int window, type;
    menubutton *next;
    char *label, *data;
};

class main_menu_struct
{
  public:
    main_menu_struct();
    main_menu_struct(char *_name);
    // void append(sub_menu_struct *_next);
    void sub(int *_child);
    void settext(char *_text);
    
    char *text, *name;
  // private:
    main_menu_struct *next;
    /* (sub_menu_struct) */ int *father, *child;
};


class sub_menu_struct
{
  public:
    sub_menu_struct();
    sub_menu_struct(char *_text, int _type, 
        char *_iconname, char *_function);
    
    // void append(sub_menu_struct *_next);
    void sub(main_menu_struct *_child);
    void settext(char *_text);
    void seticon(char *_text);
    void create_icon(Display *display, Window window);
    
    int gettitlewidth(XFontStruct* font);
        
    char *text, *bitmap, *childname, *function;
    sub_menu_struct *next;
    main_menu_struct *father, *child;
    int type;
    menubutton *first_button;
    menu_icon *icon;
    
    int *window;
};

